#include<iostream>
using namespace std;
int main(){
long long n,n2,lol,zch,znch,poma2,pomb2,poma,pomb;
cin>>n;
znch=0;
zch=0;
for(lol=0; lol<n; lol=lol+1){
cin>>n2;
if(n2%2>0){
    poma=n2;
}
if(n2%2==0){
    pomb=n2;
}
}
cout<<znch<<" "<<zch;
return 0;
}
